import { jsx } from "react/jsx-runtime";
import { Headlights as Headlights$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Headlights = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Headlights", ...props, children: /* @__PURE__ */ jsx(Headlights$1, { weight: variant }) });
  }
);
Headlights.displayName = "Headlights";
Object.assign(Headlights, { isGdsIcon: true });
export {
  Headlights
};
